//>====================================================================================<
//  Menu:
//    - Skybox
//    - Windows
//    - Phong shading
//    - Water
//    - Foliage
//    - Lanterns
//    - Others
//>====================================================================================<
//>====================================================================================<
//  Skybox from ut4_bohemia by NuLL
//>====================================================================================<
textures/beijing/sky
{
	qer_editorimage textures/beijing/env/dark_night1_up.tga
	skyParms textures/beijing/env/dark_night1 - -
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm nomarks
	nopicmip
	nomipmaps
	
	q3map_surfacelight 180
	q3map_sun 1 .9 .8 60 40 70
}

//>====================================================================================<
//  Windows from ut4_bohemia by NuLL
//>====================================================================================<
textures/beijing/window_light
{
	qer_editorimage textures/beijing/sn_window8int_st.tga
	{
		map textures/beijing/sn_window8int_st.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/beijing/sn_window8int_blend.tga
		blendfunc add
		rgbgen identity
	}
}

textures/beijing/window_light_2
{
	qer_editorimage textures/beijing/window_glass_metal.tga
	{
		map textures/beijing/window_glass_metal.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/beijing/window_glass_metal_blend.tga
		blendfunc add
		rgbgen identity
	}
}

//>====================================================================================<
//  Phong shading
//>====================================================================================<
//>------------------------------------------------------------------------<
// Ground
//>------------------------------------------------------------------------<
textures/beijing/road_1:q3map
{
        q3map_shadeangle 90
        q3map_nonplanar
}

textures/beijing/trim_02:q3map
{
        q3map_shadeangle 90
        q3map_nonplanar
}
//>------------------------------------------------------------------------<
// Walls
//>------------------------------------------------------------------------<
textures/beijing/plaster_01_red:q3map
{
        q3map_shadeangle 90
        q3map_nonplanar
}

textures/beijing/plaster_05_red:q3map
{
        q3map_shadeangle 90
        q3map_nonplanar
}

textures/beijing/plaster_04_trim_clean:q3map
{
        q3map_shadeangle 90
        q3map_nonplanar
}

textures/beijing/concrete_5_dark:q3map
{
        q3map_shadeangle 90
        q3map_nonplanar
}

textures/beijing/metal_7:q3map
{
        q3map_shadeangle 90
        q3map_nonplanar
}

//>====================================================================================<
//  Water
//>====================================================================================<
//>------------------------------------------------------------------------<
// Fountain from ut4_facade_b5
//>------------------------------------------------------------------------<
textures/beijing/fountain
{
	qer_editorimage textures/wetwired/fs_rain2.tga
	qer_trans 0.5
    q3map_globaltexture
    surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	cull none
	{
		map textures/wetwired/fs_rain2.tga
		tcMod Scroll -0.125 -1.5
		blendfunc add		
    }
}

//>------------------------------------------------------------------------<
// Ocean from ut4_heroic_beta1
//>------------------------------------------------------------------------<
textures/beijing/ocean
{
	qer_editorimage textures/beijing/eau01.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( .03 .079 .077 ) 350
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5
	q3map_fancywater 1.3 1 1 1
	{ 
		map textures/beijing/eau02.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/beijing/eau03.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/beijing/eau01.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/beijing/water
{
	qer_editorimage textures/beijing/eau01.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm fog
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5
	q3map_fancywater 1.3 1 1 1
	{ 
		map textures/beijing/eau02.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/beijing/eau03.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/beijing/eau01.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

//>------------------------------------------------------------------------<
// Water Caulk
//>------------------------------------------------------------------------<
textures/beijing/watercaulk
{
	qer_editorimage textures/beijing/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

//>------------------------------------------------------------------------<
// Water Plant from ut4_facade_b5
//>------------------------------------------------------------------------<
textures/beijing/waterplant_2
{
	qer_trans 0.80
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none
	deformVertexes bulge 64 1 2		
	{
		map textures/beijing/waterplant_2.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

//>====================================================================================<
//  Foliage from ut4_facade_b5
//>====================================================================================<
textures/beijing/ivy
{
	qer_editorimage textures/beijing/ivy.tga
	qer_trans 0.50
	q3map_nonplanar
	q3map_shadeangle 30
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	deformVertexes wave 50 sin 0 .3 0 .3
	qer_alphaFunc gequal 0.5
	{
		map textures/beijing/ivy.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}

//>====================================================================================<
//  Others
//>====================================================================================<
//>------------------------------------------------------------------------<
// Models - cull none
//>------------------------------------------------------------------------<
textures/beijing/lantern2
{
	cull none
	q3map_vertexscale 3.5
	{
		map textures/beijing/lantern2.jpg
		rgbGen vertex
	}
}

textures/beijing/lantern3
{
	cull none
	q3map_vertexscale 3.5
	{
		map textures/beijing/lantern3.jpg
		rgbGen vertex
	}
}

textures/beijing/lantern4
{
	cull none
	q3map_vertexscale 3.5
	{
		map textures/beijing/lantern4.jpg
		rgbGen vertex
	}
}

textures/beijing/table
{
	cull none
	{
		map textures/beijing/br_table.jpg
		rgbGen vertex
	}
}

//>------------------------------------------------------------------------<
// Corona
//>------------------------------------------------------------------------<
textures/beijing/corona
{
	qer_editorimage textures/beijing/corona.tga
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nolightmap
	cull none
	{
		map textures/beijing/corona.tga
		blendfunc add
		rgbgen const ( 1 0.15 0.15 )
	}
	{
		map textures/beijing/particles.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scroll -0.03 .05
	}
}

textures/beijing/corona_yellow
{
	qer_editorimage textures/beijing/corona.tga
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nolightmap
	cull none
	{
		map textures/beijing/corona.tga
		blendfunc add
		rgbgen const ( 1 0.884947 0.539803 )
	}
	{
		map textures/beijing/particles.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scroll -0.03 .05
	}
}

//>------------------------------------------------------------------------<
// Beam
//>------------------------------------------------------------------------<

textures/beijing/beam
{
	qer_editorimage textures/beijing/light_beam.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	deformvertexes autosprite2
	cull none
	{
		map textures/beijing/light_beam.tga
		blendfunc gl_src_alpha gl_one
		rgbgen const ( 1 0.814115 0.8 )
		alphagen portal 1024
	}
}

textures/beijing/beam_yellow
{
	qer_editorimage textures/beijing/light_beam.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	deformvertexes autosprite2
	cull none
	{
		map textures/beijing/light_beam.tga
		blendfunc gl_src_alpha gl_one
		rgbgen const ( 1 0.95 0.8 )
		alphagen portal 1024
	}
}

textures/beijing/beam_car
{
	qer_editorimage textures/beijing/light_beam.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	deformvertexes autosprite2
	cull none
	{
		map textures/beijing/light_beam.tga
		blendfunc gl_src_alpha gl_one
		rgbgen const ( 1 0.95 0.8 )
	}
}

//>====================================================================================<
//  Others
//>====================================================================================<

//>------------------------------------------------------------------------<
// Panel
//>------------------------------------------------------------------------<
textures/beijing/sign1
{
	qer_editorimage textures/beijing/sign1.jpg
	nopicmip
	{
		map textures/beijing/sign1.jpg
		rgbgen identity
	}
	{
		map textures/beijing/sign1_2.jpg
		blendfunc add
		rgbGen wave noise 0.5 1 0 5.37
		alphaGen wave sin 0.5 0.3 0.25 1.5
	}
	{
		map $lightmap
		blendfunc filter
	}
}
//>------------------------------------------------------------------------<
// Ladder
//>------------------------------------------------------------------------<
textures/beijing/ladderclip
{
	qer_trans 0.50
	qer_editor_image textures/beijing/ladderclip.jpg 
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}